%define	cvs	20070503

Summary:	H.323 basic gatekeeper
Name:		opengk
Version:	1.4.2
Release:	%mkrel 0.%{cvs}.4
License:	MPL
Group:		Communications
Source0:	%{name}-%{cvs}.tar.bz2
Patch0:		%{name}-mak_files.patch
URL:		http://openh323.sourceforge.net/
BuildRequires:	opal3-devel
BuildRequires:	ptlib-devel
Conflicts:	vpb-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a very basic H.323 Gatekeeper.

Basic features
---------------
OpenGatekeeper supports all the basic features of an H.323 Gatekeeper such
as registration, admissions and access control, address translation and 
bandwidth monitoring and control.

Advanced features
-----------------
- Gatekeeper routed calls 
- Support of H.323v2 alias types 
  (party number, URL, transport id and email address) 
- Support for gateway prefixes 
- Registration and call activity logs 
- Neighbour gatekeeper database 
- Registration time to live 

%prep

%setup -q -n %{name}
%patch0 -p1
perl -pi -e 's,BOOL,bool,g' main.h
perl -pi -e 's,BOOL,bool,g' main.cxx


%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%make \
    USE_OPAL=1 \
    OPTCCFLAGS="%{optflags}" \
    PWLIBDIR=%{_datadir}/ptlib \
    OPALDIR=%{_datadir}/opal \
    PREFIX=%{_prefix} \
    OPAL_LIBDIR=%{_libdir} \
    OPAL_INCDIR=%{_includedir}/opal \
    PWLIB_BUILD=1 \
    optshared

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m0755 obj_*/%{name} %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ReadMe.txt
%attr(0755,root,root) %{_bindir}/*


%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1:1.4.2-0.20070503.4mdv2009.0
+ Revision: 141036
- restore BuildRoot

* Mon Dec 31 2007 Adam Williamson <awilliamson@mandriva.com> 1:1.4.2-0.20070503.4mdv2008.1
+ Revision: 139747
- buildrequires opal3-devel now we have dual opals
- correct PWLIBDIR (even though it doesn't seem to matter)

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 1:1.4.2-0.20070503.3mdv2008.1
+ Revision: 138267
- buildrequires opal-devel not openh323-devel
- correct variables for opal build
- build against opal rather than openh323 / h323plus
- replace BOOL with bool as BOOL is used for something else in ptlib now
- clean spec

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.2-0.20070503.2mdv2008.1
+ Revision: 130916
- kill re-definition of %%buildroot on Pixel's request

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.com> 1:1.4.2-0.20070503.2mdv2008.0
+ Revision: 36994
- define OH323_LIBDIR during build (should fix x86-64 build)
- clean spec, update to latest CVS, rebuild for new era and new openh323
- Import opengk



* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.2-0.20050322.6mdk
- rebuilt against openssl-0.9.8a

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.2-0.20050322.5mdk
- rebuild

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.2-0.20050322.4mdk
- rebuild

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.2-0.20050322.3mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Sun Jul 25 2005 Guillaume Bedot <littletux@mandriva.com> 1:1.4.2-0.20050322.2mdk
- rebuild

* Thu Jun 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4.2-0.20050322.1mdk
- 1.4.2 (CVS 20050322)
- epoch force it...

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.5-4mdk
- nuke buildrequires and even conflict with vpb-devel

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.13.5-3mdk
- Rebuild with latest pwlib/openh323

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.13.5-2mdk 
- rebuild for new gcc

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.5-1mdk
- 1.13.5
- do parallell build
- fix buildrequires

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- update url

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.4-2mdk
- add -lvpb to LDFLAGS

* Fri Sep 12 2003 Florin <florin@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.1.0-2mdk
- rebuild against the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- udate the BuildRequires

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.0.1-5mdk
- recompile with the new pwlib1 and openh323_1

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- BuildRequires: pwlib-devel

* Wed Sep 12 2001 Florin <florin@mandrakesoft.com> 1.0.1-3mdk
- recompile with the new openh323_1

* Thu Aug 23 2001 Florin <florin@mandrakesoft.com> 1.0.1-2mdk
- better description

* Wed Aug 22 2001 Florin <florin@mandrakesoft.com> 1.0.1-1mdk
- new spec
